Bug 1292233 - Review Request: nodejs-are-we-there-yet - Keep track of the overall completion of many disparate processes
Review Request: nodejs-are-we-there-yet - Keep track of the overall completio...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On: 1292232
Blocks: nodejs-reviews
  Show dependency treegraph
 
Reported: 2015-12-16 14:30 EST by Jared Smith
Modified: 2016-05-27 16:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-27 16:21:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-12-16 14:30:51 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-are-we-there-yet/nodejs-are-we-there-yet.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-are-we-there-yet/nodejs-are-we-there-yet-1.0.5-1.fc24.src.rpm
Description: Keep track of the overall completion of many disparate processes
Fedora Account System Username: jsmith
Comment 1 Piotr Popieluch 2015-12-18 07:24:51 EST
Missing BR: npm(readable-stream)
Comment 2 Jared Smith 2015-12-18 11:54:12 EST
Sorry about that -- I obviously rushed this one and didn't test it in mock first as I should have.

Here's a better version, tested in mock this time.

Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-are-we-there-yet/nodejs-are-we-there-yet.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-are-we-there-yet/nodejs-are-we-there-yet-1.0.5-1.fc24.src.rpm
Comment 4 Piotr Popieluch 2015-12-18 12:43:30 EST
It fails to install, delegates version in rawhide is 1.0.0, package.json wants 0.1.x

please add a fixdep on delegates 1.0.0 seems backwards compatible
Comment 5 Piotr Popieluch 2015-12-18 12:50:42 EST
Only issues is the installation error due to missing fixdep, will approve as you add that.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "ISC", "Unknown or generated". 7 files have unknown license.
     Detailed output of licensecheck in /home/piotr/rpmbuild/1292233
     -nodejs-are-we-there-yet/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/piotr/rpmbuild/1292233-nodejs-are-we-there-yet/results/nodejs-are-we-there-yet-1.0.5-2.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/piotr/rpmbuild/1292233-nodejs-are-we-there-yet/results/nodejs-are-we-there-yet-1.0.5-2.fc24.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-are-we-there-yet-1.0.5-2.fc24.noarch.rpm
          nodejs-are-we-there-yet-1.0.5-2.fc24.src.rpm
nodejs-are-we-there-yet.noarch: W: only-non-binary-in-usr-lib
nodejs-are-we-there-yet.noarch: W: dangling-symlink /usr/lib/node_modules/are-we-there-yet/node_modules/delegates /usr/lib/node_modules/delegates
nodejs-are-we-there-yet.noarch: W: dangling-symlink /usr/lib/node_modules/are-we-there-yet/node_modules/readable-stream /usr/lib/node_modules/readable-stream
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Requires
--------
nodejs-are-we-there-yet (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(delegates)
    npm(readable-stream)



Provides
--------
nodejs-are-we-there-yet:
    nodejs-are-we-there-yet
    npm(are-we-there-yet)



Source checksums
----------------
https://registry.npmjs.org/are-we-there-yet/-/are-we-there-yet-1.0.5.tgz :
  CHECKSUM(SHA256) this package     : 61cf865b8e0d9c6eddc22b518797287066a662110f3c8a37a4eca1da1ccf6952
  CHECKSUM(SHA256) upstream package : 61cf865b8e0d9c6eddc22b518797287066a662110f3c8a37a4eca1da1ccf6952


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -x CheckOwnDirs -b 1292233
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Jared Smith 2015-12-18 14:22:16 EST
Thanks for being patient with me. 

ok proper urls in the bug comment ..................... 2/2
ok fixed dependency version on 'delegates' ............ 1/1
ok witty comments in the bug comments.................. 1/1
total ................................................. 4/4


Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-are-we-there-yet/nodejs-are-we-there-yet.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-are-we-there-yet/nodejs-are-we-there-yet-1.0.5-3.fc24.src.rpm

Also, this is how I feel about this package: https://i.chzbgr.com/full/7114322944/hCAA3DAD9/
Comment 7 Piotr Popieluch 2015-12-18 16:14:30 EST
lol, you made me laugh, thanks :D
Comment 8 Gwyn Ciesla 2015-12-19 14:00:56 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-are-we-there-yet
Comment 9 Piotr Popieluch 2016-05-27 16:21:46 EDT
built in rawhide + f24, closing

Note You need to log in before you can comment on or make changes to this bug.